﻿using System;
using System.Windows.Forms;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Serialize;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.WinForms;

namespace _9162
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            WmsRasterLayer layer = new WmsRasterLayer();
            MessageBox.Show("Default value of IsVisible before serialize : " + layer.IsVisible.ToString());
            layer.IsVisible = false;

            GeoSerializer geoSerializer = new GeoSerializer();
            string serializeString = geoSerializer.Serialize(layer);
            MessageBox.Show(serializeString);
            WmsRasterLayer deserializelayer = geoSerializer.Deserialize(serializeString) as WmsRasterLayer;

            bool result = deserializelayer.IsVisible;
            MessageBox.Show("IsVisible after serialize : " + result.ToString());

            this.Close();
        }
    }
}
